Федеральная торговая комиссия США (Federal Trade Commission, FTC) уличила компанию Oracle в обмане пользователей. По мнению FTC, Oracle подвергала опасности сотни миллионов пользователей по всему миру, годами не обновляя Java и не сообщая людям о потенциальной угрозе.

Официальный пресс-релиз FTC сообщает, что Торговая комиссия добилась своего и достигла соглашения с компаний Oracle. Предметом разбирательства стали устаревшие версии Java SE, которые компания по какой-то причине игнорирует начисто.

Начиная как минимум с 2010 года, при апгрейде Java SE полностью игнорируются старые, полные «дыр» версии. Они не удаляются с машин пользователей и не участвуют в процессе обновления, продолжая создавать угрозу безопасности. Об этом факте компания Oracle умалчивает, а это, по мнению FTC, является сознательным введением в заблуждение. Так как суммарно пользователями Java SE являются более 850 млн человек во всем мире, это действительно проблема.

Теперь Oracle обязуется в течение 30 дней уведомить о проблеме всех пользователей Java SE, посредством Twitter, Facebook и собственного официального сайта. Также компания обязуется предоставить пользователям инструменты для удаления устаревших и небезопасных версий Java. Соответствующую тулзу и инструкции уже опубликовали на официальном сайте.



5 комментариев

  1. snouden

    24.12.2015 at 01:58

    Гораздо полезнее запретить эту Javu

  2. ShadowHD

    24.12.2015 at 03:17

    Видимо, опубликовали только для того, чтобы показать. Сейчас ссылка уже не работает

    • Мария Нефёдова

      Мария Нефёдова

      24.12.2015 at 10:29

      Спасибо, поправила ссылку. Они переложили софтину в другое место и написали подробный мануал.

  3. ЧитательНовостей

    24.12.2015 at 12:42

    Круто, конечно, только Java8 нифига не совместима с предыдущими версиями:
    Java6,7 отлично работают под XP, а Java8 — нет.
    Так что досвидос.

    • Александр Черменин

      25.12.2015 at 10:11

      Windows XP вышла почти 15 лет назад, её официальная поддержка уже полностью закончилась, писать под неё новый софт совершенно бессмысленно. В любом случае есть возможность получения платной поддержки от Оракла для получения обновлений безопасности для Java 7. Официально и бесплатно сейчас поддерживается только Java 8.

Оставить мнение